WHATSNEW: add news the sad passing of python2 support
authorAndrew Bartlett <abartlet@samba.org>
Thu, 4 Jul 2019 05:43:35 +0000 (17:43 +1200)
committerAndrew Bartlett <abartlet@samba.org>
Thu, 4 Jul 2019 11:25:07 +0000 (11:25 +0000)
Signed-off-by: Andrew Bartlett <abartlet@samba.org>
Reviewed-by: Douglas Bagnall <douglas.bagnall@catalyst.net.nz>
Autobuild-User(master): Andrew Bartlett <abartlet@samba.org>
Autobuild-Date(master): Thu Jul  4 11:25:07 UTC 2019 on sn-devel-184

WHATSNEW.txt

index d39ef498f89fbf645b251dd3f0f03a3db3538b9a..cf65bd04ebbcf581798bfa86419dcf9661a56a70 100644 (file)
@@ -189,6 +189,25 @@ The subdommain role has been removed from the join command.  This option did
 not work and has no tests.
 
 
 not work and has no tests.
 
 
+Python2 support
+---------------
+
+Samba 4.11 will not have any runtime support for Python 2.
+
+If you are building Samba using the '--disable-python' option
+(i.e. you're excluding all the run-time Python support), then this
+will continue to work on a system that supports either python2 or
+python3.
+
+To build Samba with python2 you *must* set the 'PYTHON' environment
+variable for both the 'configure' and 'make' steps, i.e.
+   'PYTHON=python2 ./configure'
+   'PYTHON=python2 make'
+This will override the python3 default.
+
+Except for this specific build-time use of python2, Samba now requires
+Python 3.4 as a minimum.
+
 smb.conf changes
 ================
 
 smb.conf changes
 ================